#!/usr/bin/perl

use strict 'vars';
package main;

use Getopt::Std;

my %time = ();
my $max_index = 0;

while (<>) {
    chomp $_;
    $_ =~ s/^[ \t]+//gm; $_ =~ s/[ \t]+$//gm;
    my @opts = split(/ +/, $_);

    if (int(scalar(@opts)) == 4) {
	$time{$opts[3]}[$opts[2]] = $opts[1];
    }

    if ($opts[2] > $max_index) {
	$max_index = $opts[2];
    }
}

my $i, my $temp, my $prpu;
for ($i = 0; $i <= $max_index; $i++) {
    
    print "ID $i ";
    
    print "RTT ".($time{"UDP_ECHO_RECV_END"}[$i] - $time{"UDP_SEND_START"}[$i]);
    
    print "\n";
}
