/**
 *  \file mailFunctions.h
 *  \brief Mail function declarations.
 */

#ifndef MAIL_FUNCTIONS_H
#define MAIL_FUNCTIONS_H

/** The standalone program used to send the email */
#define MAIL_PROGRAM_NAME "mail"

/** The temporary file into which the body of an email to be sent is written. */
#define TMP_EMAIL_FILE_NAME "email.tmp"

void initMail();
int sendMail(char *emailAddr, char *subjectLine, char *body);

#endif
