#define EXCODE_NORMAL_TERMINATION   0

// Codes corresponding to local error events
#define EXCODE_CONFIGFILE_ERROR         10
#define EXCODE_REQFILE_ERROR            11
#define EXCODE_CONFIRMFILE_ERROR        12
#define EXCODE_SEND_REQ_ERROR           13 
#define EXCODE_INVALID_CMDLINE_ARGS     14
#define EXCODE_CONNECT_RESOLVE_FAILED   15
#define EXCODE_CONNECT_OPENSKT_FAILED   16
#define EXCODE_CONNECT_FAILED           17
#define EXCODE_KEY_WRITE_FAILED         18
#define EXCODE_KEY_LOAD_FAILED          19



// Codes corresponding to remote events
#define EXCODE_NAME_AVAILABLE       30 
#define EXCODE_NAME_UNAVAILABLE     31
#define EXCODE_NAME_CONFIRMED       32


#define EXCODE_UNEXPECTED_REPLY         40
#define EXCODE_SERVER_INTERNAL_ERROR    41
#define EXCODE_POLICY_DISALLOW          42   
#define EXCODE_UNKNOWN_NAME             43
#define EXCODE_INVALID_PASSWORD         44
#define EXCODE_NAME_ALREADY_VERIFIED    45
