#include "../lib/nonce.h"

#include <stdlib.h>
#include <stdio.h>

void usage () {
    
    printf ("\ntestNonce\n");
}

int main (int argc, char *argv[]) {

    unsigned char nonceBuf1[NONCE_BIT_LEN/8];
    unsigned char nonceBuf2[NONCE_BIT_LEN/8];
    generateNonce (nonceBuf1);
    generateNonce (nonceBuf2);

    printf ("nonce1 = nonce1 --> %d\n", isNonceEqual (nonceBuf1, nonceBuf1));
    printf ("nonce2 = nonce2 --> %d\n", isNonceEqual (nonceBuf2, nonceBuf2));
    printf ("nonce1 = nonce2 --> %d\n", isNonceEqual (nonceBuf1, nonceBuf2));
    printf ("nonce2 = nonce1 --> %d\n", isNonceEqual (nonceBuf2, nonceBuf1));
    
}
