/**
 *  \file  win-service.h
 *  \brief Declarations of functions to start/stop/install and remove the proxy as
 *  a Windows service.
 */

/** Service and display name of the proxy */
#define GENERIC_PROXY "OCALA proxy"

void WINAPI ServiceMain (DWORD ac, char **av);
DWORD proxy_install (char *);
DWORD proxy_remove ();
DWORD proxy_start (int);
DWORD proxy_stop ();

void update_status(const CHAR *statusStr, DWORD status);

