#!/usr/bin/perl -w

use strict 'vars';
package main;

use English;




# check if /dev/net/tun exists, if not create it appropriately


# Check for a line of the form 'major# tuntab' in /etc/iproute2/rt_tables
my $found_tuntab = 0;
open RTTABLES, "/etc/iproute2/rt_tables";
while (<RTTABLES>) {
    chomp $_;
    if ($_ =~ /^#/) {
	    next;
    }
    if ($_ =~ /tuntab/) {
	    $found_tuntab = 1;
        #print "Found tuntab entry in rt_tables: $_\n";
	    last;
    }
}

# Check if the tun device exists;
my $tun_dev_name = "/dev/net/tun";
my $found_tun = 0;
if (-e $tun_dev_name) {
    $found_tun = 1;
}

if ($found_tun == 0 || $found_tuntab == 0) {
    exit (2); # Not found
} else {
    exit (0);
}

