#ifndef HIP_OCD_STATE_INFO
#define HIP_OCD_STATE_INFO 1

#include "OCD_include.h"

class OCI;
class HipOCD;

class HipOCDStateInfo:public OCDStateInfo {
  // OCD specific tunnel state information goes here 

 public:
  /** The hipOCD associated with this state */
  HipOCD *hipOCD;
  in_addr peer_addr;	
  
  HipOCDStateInfo(OCDHandle myHandle, OCI* oci, HipOCD *hipOCD);
  void receivedLegacyDNSReply(uint32_t ip);

  friend class HipOCD;
};

#endif
