// i3OCD_windows.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "i3OCD_windows.h"

#include <stdio.h>
#include <stdlib.h>

#include "i3_debug.h"
#include "debug.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{


	if (i3DebugFD == NULL) {
		// Open the file to which all the debugging/info messages
		// associated with the i3 OCD are sent.
		i3DebugFD = fopen ("debug_i3.txt", "w");
	}

	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}
    return TRUE;
}

// This is an example of an exported variable
OCD_WINDOWS_API int ni3OCD_windows=0;

// This is an example of an exported function.
OCD_WINDOWS_API int fni3OCD_windows(void)
{
	return 42;
}

// This is the constructor of a class that has been exported.
// see i3OCD_windows.h for the class definition
Ci3OCD_windows::Ci3OCD_windows()
{ 
	return; 
}
