/* -*-  Mode:C; c-basic-offset:4; tab-width:4; indent-tabs-mode:t -*- */
#ifndef _PLUMBER_H_
#define _PLUMBER_H_
#include <map>
#include <list>
#include <vector>
#include <queue>
#include <string>
#include <sys/types.h>
#include "rondebug.h"
#include "packet.h"

#include "ron_named.h"
 
namespace RON {

class Plumber : public Named {
public:
    Plumber();
    virtual ~Plumber();
    //    virtual void configure(forw *f);
    /* XXX - change these to the real interfaces soon */
    virtual int recv(pkt *packet, node *mynode, int via_ron);
    virtual int dispatch(pkt *packet, node *mynode, int via_ron);

    int register_type(u_int32_t packet_type, Plumber *dst);
    int register_type(u_int32_t packet_type, Plumber *dst, void *data);
    void register_default(Plumber *dst); /* If no match */

	// (SAR) Debugging stuff...
	void describe();

private:
    map<u_int32_t, Plumber *> type_dst_table; /* Where 'dispatch' goes */
    Plumber *default_dst;

};

}

#endif /* _PLUMBER_H_ */
