/*
 * Stats collection module - record things about the RON
 */

#ifndef _RON_STATS_H_
#define _RON_STATS_H_

#include <string>
#include <map>

namespace RON {
class stat_collector {
public:
    map<string, unsigned long> counter_table;
    void dump() {
	    map<string, unsigned long>::const_iterator i;
	    printf("\nstat counters\n-------------\n");
	    for (i = counter_table.begin(); i != counter_table.end(); i++) {
	        printf("%s: %lu\n", i->first.c_str(), i->second);
	    }
    }
    void clear() {
	    counter_table.clear();
    }
};
} /* namespace RON */

#endif
