#include <stdio.h>
#include <stdlib.h>
#include "fixedpoint.h"

int main() {
    fixedpoint a, b, c, d;

    a.ones = 1000;
    a.micros = 900000;

    b = a;

    printf("A: %s    1000.900000\n", a.to_string().c_str());
    printf("B: %s    1000.900000\n", b.to_string().c_str());

    c = a+b;
    printf("C: %s    2001.800000\n", c.to_string().c_str());

    d = c-b;
    printf("D: %s    1000.900000\n", d.to_string().c_str());

    printf("-A: %s   -1000.900000\n", (-a).to_string().c_str());

    b = d + (-a);
    printf("B:  %s    0.000000\n", b.to_string().c_str());

    a.set(-100, 0);
    b.set(-100, 50);
    c = a+b;
    printf("C: %s     -200.000050\n", c.to_string().c_str());
}
