#ifndef _PDB_SAMPLES_H_
#define _PDB_SAMPLES_H_

#include "ronlib.h"
#include "pdb_wire.h"

/*
 * Definitions of the things we put in and out of the database
 *
 * Should be used internally by PDB and NEVER EVER used
 * externally.  Thank you. :-)
 */

typedef time_t timestamp_t;

struct class_defn {
    int type_type;
};

struct sample_header {
    int type;
    int samplesize;
    unsigned int magic;
    struct {
	u_int32_t sec;
	u_int32_t usec;
    } timestamp;
};

struct sampletype {
    sample_header header;
    struct {
	fixedpoint fixedval;
    } val;
};

/* We'll only insert the necessary amount into the db */
struct stringsampletype {
    sample_header header;
    int datalen;
    union {
	char contents[PDB_MAXSTRING];
    } val;
};

#endif /* _PDB_SAMPLES_H_ */
