#!/usr/bin/perl

use strict 'vars';
package main;

my %key_val = ();

my $i;
while (<>) {
    chomp $_;
    my @opts = split(/ /, $_);

    for ($i = 0; $i < int(scalar(@opts))/2; $i++) {
	push @{$key_val{$opts[2*$i]}}, $opts[2*$i+1];
    }
}

my $key;
foreach $key (keys %key_val) {
    my @sorted = sort numerically @{$key_val{$key}};
    my $median = int((scalar(@{$key_val{$key}})-1)*5.0/10.0);
    print "$key @sorted[$median]\n";
}

# support function for numerical sort
sub numerically { $a <=> $b; }
