/**
 *  \file CryptoParams.h
 *  \brief The various parameters used in the crypto algorithm.
*/
#ifndef CRYPTO_PARAMS_H
#define CRYPTO_PARAMS_H

/** How much time (in seconds) to wait for a sym key reply before resending a symkey packet */
#define CRYPTO_SYMKEY_REPLY_TIMEOUT 10

#endif
