/** 
 *  \file nonce.h
 *  \brief Declarations of functions to generate and compare nonces.
 */
#ifndef NONCE_H
#define NONCE_H


/** The number of bits in a nonce */
#define NONCE_BIT_LEN 32 * 8

void generateNonce (unsigned char* nonceBuf);
int isNonceEqual (unsigned char *nonce1, unsigned char *nonce2);

#endif
