/**
 *  \file nameAllocatorClient-winmain.cpp
 *  \brief This is the file containing the starting point for
 *  the name allocator client when used in windows.
 */
#include <windows.h>
#include <winsock.h>
#include <stdio.h>

#define NETWORK_ERROR -1
#define NETWORK_OK     0

#include "OCALA_Export.h"

#include "debug.h" 

int nameAllocatorClientMain (int argc, char **argv);

int WINAPI WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR lpCmd, int nShow) {

	debugFD = fopen ("debug_NameAllocator.txt", "w");
	if (debugFD == NULL) {
		printf ("Unable to open debug file.\n");
		return -1;
	}
	
	int argc;
	WCHAR **argv = CommandLineToArgvW(GetCommandLineW(), &argc);

	char **mb_argv = (char **) malloc(argc * sizeof(char *));

		for (int i = 0 ; i < argc; i++ ) {
			mb_argv[i] = (char *) malloc(sizeof(char) * 1000);
			wcstombs(mb_argv[i], argv[i], 1000);
	
	    } 
	return nameAllocatorClientMain(argc, mb_argv);

}


