/**
 *  \file testNameRegPolicy.c
 *  \brief This program tests the name policy checker.
*/

#include <string.h>

#include "nameRegPolicy.h"
#include "../lib/securityCommon.h"

int main(int argc, char *argv[]) {


    if (argc < 3) {
        printf ("\nUsage: testNameRegPolicy <name> <emailAddr>\n");
        exit(-1);
    }

    char msg[MAX_INFO_MSG_LEN];
    if ( doNameEmailMatchCheck( argv[1], argv[2], msg) == NULL) {
        printf ("NameEmailMatch Policy: SATISFIED!\n");
    } else {
        printf ("NameEmailMatch Policy: ERROR!\n%s\n",msg);
    }
}
