// CheckTunDevice.cpp : Check if the tun device is installed.
// Exits with code 50 if exists.  Else exits with code 0.
//

#include <windows.h>
#include <string.h>
#include <stdio.h>
#include <tchar.h>


int _tmain(int argc, _TCHAR* argv[]) {

	bool foundNameTAP = false;

	FILE* fp = fopen ("tun.status.tmp", "r");
	if (fp != NULL) {
		char tmpLine[1000];
		while (fgets (tmpLine, 1000, fp) != NULL) {
			if (foundNameTAP == true) {
				// The previous line corresponded to the TAP device.
				if (strstr (tmpLine, "Driver is running") != NULL) {
					// Found the tup device!
					exit (50);
				} else {
					foundNameTAP = false; //clear
				}				
			} 
			if (strstr (tmpLine, "TAP-Win32 Adapter V8") != NULL) {
				foundNameTAP = true;
			}
		}
	} else {
		printf ("Unable to open tun.status.tmp\n");
		exit (0);
	}

	fclose (fp);
	exit(0);
}

