#ifndef RSP_DNS_REPLY_CALLBACK_H 
#define RSP_DNS_REPLY_CALLBACK_H 1

#include <string>
using namespace std;

#include "DNSReplyCallback.h"

class RSPServerFinder;

class RSPDNSReplyCallback : public DNSReplyCallback {
public:
    virtual void receivedLegacyDNSReply(uint32_t resolvedIP);
    static RSPDNSReplyCallback* create(string domain, RSPServerFinder*);
private:

    RSPDNSReplyCallback (string domain, RSPServerFinder*);
    
    /** The domain for which the DNS request was made. */
    string domain;

    RSPServerFinder* rspServerFinder;
};

#endif
