/** 
 *  \file I3ConfigFile.h
 *  \brief The declaration of the i3 specific XML tags and attributes.
 */
#ifndef I3_CONFIG_FILE_H
#define I3_CONFIG_FILE_H 1

/** The root XML tag for the public triggers configuration file */
#define TAG_I3_PUBLIC_TRIGGER_FILE  "I3PublicTriggerList"

// Other XML tags and XPATHS  in the I3 configuration file
#define ATTRIB_ADDRESS_BOOK          "I3_AddressBook"
#define ATTRIB_LOCAL_PORT_NUM        "I3_LocalPortNum"
#define ATTRIB_ENABLE_HASHED_URLS    "I3_EnableHashedURLs"
#define ATTRIB_PUBLIC_TRIGGER_FILE   "PublicTriggerConfigFile"
#define ATTRIB_ENABLE_FAST_CONNECTION_STARTUP "I3_EnableFastConnectionStartup"
#define ATTRIB_ENABLE_SHORTCUT	     "I3_EnableShortcut"

#endif
