
# This file contains the code to read the deployment parameters

use strict 'vars';


############################# get_deployment_details : START #########################
sub get_deployment_details {

	my $deployment_file_name;
	$deployment_file_name = "deployment.txt";

	my %deployment_details;

	open (DEPLOYMENT_FILE, $deployment_file_name) || die "Cannot open deployment file $deployment_file_name.\n";
	my $deployment_line;
	while ($deployment_line = <DEPLOYMENT_FILE>) {

		my $attribName;
		my $attribVal;
		($attribName, $attribVal) = split (/=/, $deployment_line);
	
		chomp($attribVal);
		$deployment_details{$attribName} = $attribVal;
	}

	#print ("\n############### Deployment Details ##################\n");
	#my $deployment_key;
	#foreach $deployment_key (keys(%deployment_details)) {
	#
	#	print "$deployment_key\t=\t$deployment_details{$deployment_key}.\n";
	#}	

	#print ("\n\n\n");

	return %deployment_details;
}

1;
############################# get_deployment_details : END #########################
