#ifndef MEMBERSHIP_H_
#define MEMBERSHIP_H_
/*
 * RON membership manager interface
 */

#include <list>
#include "ron.h"
#include "forw.h"
#include "plumber.h"

namespace RON {

class membership : public Plumber {
public:
    virtual void configure(Scheduler *s, forw *newforw) = 0;
    // Peers promises it won't give our own address.
    virtual list<node> *peers() = 0;
protected:
    forw *myforw;
};

}

#endif /* _MEMBERSHIP_H_ */
